<?php

namespace KupShop\CatalogBundle\Entity\Wrapper;

class SectionProducerWrapper extends ProducerWrapper
{
    protected function initializeRootBlock()
    {
        // no need to create empty block
        return null;
    }

    protected function getObjectInfo()
    {
        $object_info = [
            'type' => 'section_producer',
            'id' => $this->object['id'],
            'name' => translate('objects', 'blocks', true, true)['section_producer'] ?? 'section_producer',
        ];

        return json_encode($object_info);
    }
}
